Skip to main content
GET
/
v1
/
boletos
List boletos
curl --request GET \
  --url https://payments.sandbox.lerian.net/v1/boletos \
  --header 'Authorization: <api-key>' \
  --header 'X-Organization-Id: <x-organization-id>'
import requests

url = "https://payments.sandbox.lerian.net/v1/boletos"

headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: '<api-key>'}
};

fetch('https://payments.sandbox.lerian.net/v1/boletos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "amount": "<string>",
      "barcode": "<string>",
      "canceledAt": "<string>",
      "cancellationReason": "<string>",
      "createdAt": "<string>",
      "digitableLine": "<string>",
      "discount": {
        "amount": "<string>",
        "limitDate": "<string>",
        "type": "<string>"
      },
      "dueDate": "<string>",
      "errorMessage": "<string>",
      "failedAt": "<string>",
      "fine": {
        "amount": "<string>",
        "type": "<string>"
      },
      "guarantor": {
        "address": {
          "city": "<string>",
          "complement": "<string>",
          "neighborhood": "<string>",
          "number": "<string>",
          "state": "<string>",
          "street": "<string>",
          "zipCode": "<string>"
        },
        "document": "<string>",
        "name": "<string>"
      },
      "id": "<string>",
      "inactivatedAt": "<string>",
      "installmentLabel": "<string>",
      "instructions": "<string>",
      "interest": {
        "amount": "<string>",
        "type": "<string>"
      },
      "kind": "<string>",
      "payer": {
        "address": {
          "city": "<string>",
          "complement": "<string>",
          "neighborhood": "<string>",
          "number": "<string>",
          "state": "<string>",
          "street": "<string>",
          "zipCode": "<string>"
        },
        "document": "<string>",
        "name": "<string>"
      },
      "providerId": "<string>",
      "qrCode": "<string>",
      "seriesId": "<string>",
      "settledAmount": "<string>",
      "settledAt": "<string>",
      "status": "<string>",
      "type": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}
{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}
{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}
{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Organization-Id
string
required

Tenant organization ID

Query Parameters

page
integer

Page number (default: 1)

limit
integer

Items per page (default: 20, max: 100)

status
enum<string>

Status filter

Available options:
PENDING,
CREATED,
SETTLED,
CANCELED,
INACTIVATED,
FAILED
type
enum<string>

Boleto type filter

Available options:
TRADITIONAL,
QR_CODE,
HYBRID
kind
enum<string>

Boleto kind filter

Available options:
SINGLE,
INSTALLMENT
from
string

Created from date (YYYY-MM-DD)

to
string

Created to date (YYYY-MM-DD)

dueDateFrom
string

Due date from (YYYY-MM-DD)

dueDateTo
string

Due date to (YYYY-MM-DD)

Response

OK

items
object[]
limit
integer
page
integer
total
integer